package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.WXMedia;
import com.sa.ibiz.demo.demo.service.dto.WXMediaSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[WXMedia] 服务对象接口
 */
public interface WXMediaService extends IService<WXMedia>{

	boolean update(WXMedia et);
	boolean create(WXMedia et);
	boolean checkKey(WXMedia et);
		WXMedia get(WXMedia et);
	boolean getDraft(WXMedia et);
	boolean remove(WXMedia et);
    List<WXMedia> listDefault(WXMediaSearchFilter filter) ;
	Page<WXMedia> searchDefault(WXMediaSearchFilter filter);
	/**	 实体[WXMedia] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }